/**
 * Interfaccia di un insieme di valori interi.
 * 
 * @author Luca Marchetti
 * @version 1.0
 */
public interface IntegerSet {

	/**
	 * Metodo che svuota l'insieme.
	 * 
	 */
	public void clear();

	/**
	 * Metodo che restituisce il numero di elementi salvati.
	 * 
	 * @return numero elementi salvati
	 */
	public int size();
		
	/**
	 * Metodo che rimuove dall'insieme l'elemento (se presente).
	 * 
	 * @param e elemento da rimuovere
	 */
	public void removeElement(int e);
	
	/**
	 * Metodo che inserisce nell'insieme l'elemento (a patto che non sia gia' incluso).
	 * 
	 * @param e elemento da inserire
	 */
	public void insertElement(int e);

	/**
	 * Metodo che restituisce gli elementi dell'insieme memorizzati in un vettore di interi.
	 * 
	 * @return array contenente gli elementi dell'insieme (<code>null</code> se l'insieme e' vuoto)
	 */
	public int[] getElements();
}

